HPE Community read-only access December 15, 2018
This is a maintenance upgrade. You will be able to read articles and posts, but not post or reply.
Hours:
Dec 15, 4:00 am to 10:00 am UTC
Dec 14, 10:00 pm CST to Dec 15, 4:00 am CST
Dec 14, 8:00 pm PST to Dec 15, 2:00 am PST
Server Management - Systems Insight Manager
cancel
Showing results for 
Search instead for 
Did you mean: 

Notice: Upgrading ESX 3.01 to 3.02 then trying to remove the HP Agents 7.7.0

 
SOLVED
Go to solution
Dana Swanson
Regular Advisor

Notice: Upgrading ESX 3.01 to 3.02 then trying to remove the HP Agents 7.7.0

Hi Everyone,

We recently upgraded a few servers not in our farm yet from ESX 3.01 to ESX 3.0.2.

I just tried to uninstall the HP Management Agents 7.7.0 on a ESX server that was upgraded to ESX 3.0.2.

The new version of ESX is preventing the un-install.

Here's the error message:
---
# ./installvm770.sh --uninstall

HP Insight Manager Agent 7.7.0-50 Installer for VMware ESX Server

This script will now attempt to remove the HP Insight Manager Agents
Do you wish to continue (y/n) y

Verifying VMware ESX Server version [FAILED]

Installer does not support the VMware ESX Server version

Check hpmgmtlog for additional information
---

Just wanted to let everyone know to un-install the HP agents first before upgrading to ESX 3.0.2.

Dana
4 REPLIES
David Claypool
Honored Contributor
Solution

Re: Notice: Upgrading ESX 3.01 to 3.02 then trying to remove the HP Agents 7.7.0

Dana, you should be able to edit the line

SUPPORTED_VERSIONS=

in the shell script to include 3.02 so that you can use the script to uninstall...
Dana Swanson
Regular Advisor

Re: Notice: Upgrading ESX 3.01 to 3.02 then trying to remove the HP Agents 7.7.0

Thanks Dave!

That's great I'll give it a try.

Dana
Dana Swanson
Regular Advisor

Re: Notice: Upgrading ESX 3.01 to 3.02 then trying to remove the HP Agents 7.7.0

Thanks Dave!

That worked out great.

For other people out there here's what the line looked like and what it was changed to:

#List of ESX Server versions that this package supports

SUPPORTED_VERSIONS="3.0.0 3.0.1"

Change to:

#List of ESX Server versions that this package supports

SUPPORTED_VERSIONS="3.0.0 3.0.1 3.0.2"

Thanks!

Dana
Dana Swanson
Regular Advisor

Re: Notice: Upgrading ESX 3.01 to 3.02 then trying to remove the HP Agents 7.7.0

David Claypool's solution fixed this issue.

Edit the install script that's not running, for example installvm770.sh

Append the current OS version to the SUPPORTED_VERSIONS= line

For Example:

Change:

#List of ESX Server versions that this package supports
SUPPORTED_VERSIONS="3.0.0 3.0.1"

to

#List of ESX Server versions that this package supports
SUPPORTED_VERSIONS="3.0.0 3.0.1 3.0.2"

Thanks Dave!